# ---------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# ---------------------------------------------------------


class AzureMLErrorStrings:
    """
    All un-formatted error strings that accompany the common error codes in AzureML.
    """

    class UserErrorStrings:
        """
        Un-formatted error string for all UserErrors.

        Dev note: Please keep this list sorted on keys.
        """
        ACCOUNT_CONFIGURATION_CHANGED = "Configuration of your account was changed. {message}"
        ARGUMENT_BLANK_OR_EMPTY = "An empty value for argument [{argument_name}] is provided."
        ARGUMENT_INVALID = "Argument [{argument_name}] is of invalid type. Expected type: [{expected_type}]"
        ARGUMENT_INVALID_TYPE = "Value of type {type} is not supported, supported types include [{expected_type}]"
        ARGUMENT_MISMATCH = "Argument(s) [{argument_names}] has incompatible values: [{value_list}]."
        ARGUMENT_OUT_OF_RANGE = "Value for argument [{argument_name}] is out of range (Range: [{min} - {max}])."
        ARGUMENT_SIZE_OUT_OF_RANGE_TYPE = "Number size of type [{argument_name}] is out of range bits " \
                                          "(Range: [{min} - {max}])."
        AUTH = "Access to resource [{resource_name}] is prohibited. Please make sure the resource exists, " \
               "and/or you have the right permissions on it."
        AUTHENTICATION = "Authentication for [{resource_name}] failed. Please make sure the resource exists, " \
                         "and/or you have the right permissions on it."
        AUTHORIZATION = "Authorization for [{resource_name}] failed. Please make sure the resource exists, " \
                        "and/or you have the right permissions on it."
        AUTHORIZATION_BLOB_STORAGE = "Encountered authorization error while uploading to blob storage. Please " \
                                     "check the storage account attached to your workspace. Make sure " \
                                     "that the current user is authorized to access the storage account " \
                                     "and that the request is not blocked by a firewall, virtual network, " \
                                     "or other security setting.\n" \
                                     "\tStorageAccount: {account_name}\n\tContainerName: {container_name}" \
                                     "\n\tStatusCode: {status_code}"  # "\n\tErrorCode: {error_code}"
        BAD_ARGUMENT = "An invalid value for argument [{argument_name}] was provided."
        BAD_DATA = "[{data_argument_name}] was invalid."
        BAD_DATA_DOWNLOAD = "Downloaded file did not match blob: {file_size} bytes downloaded but " \
             